Subject: [lp-wan] Ticket 18: MSB/LSB argument

From: Ana Minaburo <[email-masked]>
Date: Mon, 26 Feb 2018 21:40:37 +0100

<DB> Why MSB/LSB argument is used?If the TV can be of any type, such as
structured data, why can't the MSB operator compare a number of bits of the
TV equal to the TV length? After all, the MO compares the field value with
all the TV values without needing the length of the list as a parameter

<SCHC authors> The MSB/LSB argument is very interesting for compression, if
we always compare the complete TV with the Field value we will need a huge
list of values in the Rule, if we have approximative values where only part
of the field value needs to be sent because the MSB corresponds to the
field value but the TV does not have the correct value, the Rule will be
used and the compression of the field will be reduced by two or more,
depending on the number of bits in the argument we want to compare.

Instead of naming the argument length, we have changed the name by MSB(x)
bits and LSB (y) bits, so the X and Y are the numbers of bits that we need
to compare.